	
	local TrackedAuras = ShotGlassRaidFrames.TrackedAuras

	local Colors = {}
	Colors.Grey = {r = .5, g = .5, b = .5,}
	Colors.Red = {r = 1, g = 0, b = 0,}
	Colors.Orange = {r = 1, g = .5, b = 0,}
	Colors.Yellow = {r = 1, g = 1, b = 0,}
	Colors.Green = {r = 0, g = 1, b = 0,}

	local function TextFunction(aura)
		local text, textcolor
		local timeRemaining = aura.expiration - GetTime()

		if timeRemaining < 6  then 
			-- Time Remaining
			text = ceil(timeRemaining)
			if timeRemaining > 4 then textcolor = Colors.Green
			elseif timeRemaining > 2 then textcolor = Colors.Yellow
			else textcolor = Colors.Red end
		else
			-- Stacks
			if aura.stacks and (aura.stacks > 0) then
				text = aura.stacks
				textcolor = Colors.Grey
			else
				text = ""
				textcolor = Colors.Grey
			end
		end	
		return text, textcolor
	end
	
	local ModifiedColor = {}
	local function ColorFunction(aura)
		--aura.color, aura.stacks, aura.expiration, aura.position, aura.name, aura.unit
		local timeRemaining = aura.expiration - GetTime()
		if timeRemaining < 3 then
			ModifiedColor.r = (aura.color.r*.5)
			ModifiedColor.g = (aura.color.g*.5)
			ModifiedColor.b = (aura.color.b*.5)
			return ModifiedColor
		else
			return aura.color
		end
	end

	------------------------
	-- Druid
	------------------------
	-- Heal-over-Time Spells
	TrackedAuras[GetSpellInfo(774)] = {position = 1, color = {r = .8,g = 0, b = .8, a = 1}, colorFunction = ColorFunction,}									-- Rejuvenation
	TrackedAuras[GetSpellInfo(8936)] = {position = 3, color = {r = .2,g = 1, b = .4, a = 1}, colorFunction = ColorFunction,}									-- Regrowth
	TrackedAuras[GetSpellInfo(48438)] = {position = 3, color = {r = .2,g = 1, b = 1, a = 1}, colorFunction = ColorFunction,}									-- Wild Growth
	TrackedAuras[GetSpellInfo(33763)] = {position = 2, color = {r = .6,g = 1, b = .1, a = 1}, textFunction = TextFunction, colorFunction = ColorFunction,}	-- Lifebloom
	
	-- Just for Testing
	--TrackedAuras[GetSpellInfo(774)] = {position = 2, color = {r = .6,g = 1, b = .1, a = 1}, textFunction = TextFunction, colorFunction = ColorFunction,}	-- Lifebloom
	--TrackedAuras[GetSpellInfo(467)] = {position = 5, color = {r = .7,g = .5, b = .3, a = 1},}																-- Thorns

					
	-- Curable Debuff Types
	TrackedAuras["Poison"] = {position = 5, color = {r = 0,g = .9, b = .1, a = 1},}
	TrackedAuras["Curse"] = {position = 4, color = {r = .9,g = 0, b = .7, a = 1},}
	TrackedAuras["Magic"] = {position = 6, color = {r = 0,g = .3, b = .9, a = 1},}

	-----------------------
	-- Raid-Specific Auras
	-----------------------
	-- Rotface
	TrackedAuras["Mutated Infection "] = {position = 4, color = {r = 1,g = 0, b = 0, a = 1},}

	-- Sindragosa 
	TrackedAuras["Ice Tomb"] = {position = 4, color = {r = .4,g = .4, b = 1, a = 1},}
	TrackedAuras["Frost Beacon"] = {position = 4, color = {r = 1,g = 1, b = 1, a = 1},}
	TrackedAuras["Unchained Magic"] = {position = 5, color = {r = .5,g = 0, b = 1, a = 1},}
	TrackedAuras["Mystic Buffet"] = {position = 6, color = {r = .5,g = 0, b = .5, a = 1},}

	-- Blood Queen
	TrackedAuras["Essence of the Blood Queen"] = {position = 5, color = {r = 1,g = 0, b = 0, a = 1},}
	TrackedAuras["Frenzied Bloodthirst"] = {position = 5, color = {r = .8,g = .3, b = 0, a = 1},}